Mercury API
Gen2..::.Denatran..::.IAV..::.OBUWriteToMemMap Constructor (payLoadbyte, wordAddress, word, writeCredential)
Namespaces ► ThingMagic ► Gen2..::.Denatran..::.IAV..::.OBUWriteToMemMap ► Gen2..::.Denatran..::.IAV..::.OBUWriteToMemMap(Byte, UInt16, UInt16, Gen2..::.DenatranIAVWriteCredential)
Constructor:
Declaration Syntax

C# | Visual Basic | Visual C++

    public OBUWriteToMemMap(
    	byte payLoadbyte,
    	ushort wordAddress,
    	ushort word,
    	Gen2..::.DenatranIAVWriteCredential writeCredential
    )

    Public Sub New ( _
    	payLoadbyte As Byte, _
    	wordAddress As UShort, _
    	word As UShort, _
    	writeCredential As Gen2..::.DenatranIAVWriteCredential _
    )

    public:
    OBUWriteToMemMap(
    	unsigned char payLoadbyte,
    	unsigned short wordAddress,
    	unsigned short word,
    	Gen2..::.DenatranIAVWriteCredential^ writeCredential
    )

Parameters

payLoadbyte (Byte)
  1byte->[TC(Transmission Count) 1bit + RFFU(Reserved For Furture Use) 7bits] + 2bytes->[MMWordPtr (Word pointer) 16 bits] + 2bytes->[Word (Word to be write) 16 bits] + 16bytes->[Write-Credentials 128 bits].

wordAddress (UInt16)
  WordAddress pointer to the USER data

word (UInt16)
  User data to be written

writeCredential (Gen2..::.DenatranIAVWriteCredential)
  Data credentials written word

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)